> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/rest-api/tables/list.md).

# list

## HTTP Request

```http
GET /api/v1/datasets/:datasetReference/tables

GET /api/v1/workflows/:workflowReference/tables
```

## Path parameters

| Parameter         |                                                                                                                         |
| ----------------- | ----------------------------------------------------------------------------------------------------------------------- |
| datasetReference  | A qualified reference to the dataset. See [referencing resources](/api/referencing-resources.md) for more information.  |
| workflowReference | A qualified reference to the workflow. See [referencing resources](/api/referencing-resources.md) for more information. |

## Query parameters

| Parameter          |                                                                                                                                                                                                                                                                                                                                                                                       |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| maxResults         | Default 100. Must be less than 1000.                                                                                                                                                                                                                                                                                                                                                  |
| pageToken          | For paginating through results, provide the value returned from the previous table.list call                                                                                                                                                                                                                                                                                          |
| includeDataSources | <p><strong>Optional, default false.</strong> Only supported when listing tables in a workflow.</p><p>By default, only the workflow's own tables are returned. If true, tables from the workflow's <a href="/api/resource-definitions/datasource.md">datasources</a> are also returned, using the version (and sample, if the datasource is sampled) selected for each datasource.</p> |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md).
{% endhint %}

## Authorization

Only tables to which you have overview access will be returned. If a table's overview is not public, your access token must have one of the following scopes:

* data.overview
* data.metadata
* data.data
* data.edit

This endpoint can be called [without authentication](/api/rest-api/authorization.md#anonymous-access), in which case only public tables are returned.

[Learn more about authorization.](/api/rest-api/authorization.md)

## Request body

The request body must be empty.

## Response body

Returns a JSON representation of an array of [table resources](/api/resource-definitions/table.md).

```javascript
{
    "kind": "tableList",
    "nextPageToken": integer,
    "results": [
        object(table.list)
    ]
}
```

## Examples

{% tabs %}
{% tab title="curl" %}

```bash
# List the tables on the EPA Air Quality dataset from the StanfordPHS organization
curl -H "Authorization: Bearer $REDIVIS_ACCESS_TOKEN" \
"https://redivis.com/api/v1/datasets/stanfordphs.epa_air_quality/tables"
```

{% endtab %}

{% tab title="curl (workflow, with datasources)" %}

```bash
# List the tables in a workflow, including tables from its datasources
curl -H "Authorization: Bearer $REDIVIS_ACCESS_TOKEN" \
"https://redivis.com/api/v1/workflows/imathews.example_workflow_climate_analysis/tables?includeDataSources=true"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/rest-api/tables/list.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
